Retrieve all the sections for the request [DEPRECATED: Use the v2 fact-find session routes] Deprecated Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.plannrcrm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "PlannrCRM MCP server": {
    "url": "https://apidocs.plannrcrm.com/mcp"
  }
}

Close
GET /api/v1/fact-find/request/{factFindRequest_uuid}/section

Headers

  • X-PLANNR-ACCOUNT-UUID string

Path parameters

  • factFindRequest_uuid string Required

Responses

  • 200 application/json
    Hide response attribute Show response attribute object
    • data array[object]
      Hide data attributes Show data attributes object
      • uuid string
      • created_at string
      • updated_at string
      • name string
      • front_end_section string
      • introduction_html string
      • position integer
GET /api/v1/fact-find/request/{factFindRequest_uuid}/section
curl \
 --request GET 'https://api.plannrcrm.com/api/v1/fact-find/request/6ff8f7f6-1eb3-3525-be4a-3932c805afed/section' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}"
Response examples (200)
{
  "data": [
    [
      {
        "uuid": "1c189ed3-10cc-48ba-82f0-531198518166",
        "created_at": "2026-08-07T15:29:26+01:00",
        "updated_at": "2026-08-07T15:29:26+01:00",
        "name": "Basic Details",
        "front_end_section": "basic_details",
        "introduction_html": "<p>Please tell us your <b>basic details.</b></p>",
        "position": 1
      }
    ]
  ]
}